﻿@inject IJSRuntime _js

<ul class="nav nav-pills nav-flush flex-column mb-auto text-center">
  @foreach (var i in _menuItems)
  {
    <li>
      <NavLink href="@i.Href" Match="i.Match" class="nav-link py-3 rounded-0"
               data-bs-toggle="tooltip" data-bs-placement="right" data-bs-original-title="@i.Title">
        <i class="bi @i.Icon" style="font-size: 1.75rem; height: 1.75rem; width: 1.75rem;"></i>
      </NavLink>
    </li>
  }
</ul>

@code {

  private List<(NavLinkMatch Match, string Title, string Href, string Icon)> _menuItems = new()
  {
    (NavLinkMatch.All, "Dashboard", "", "bi-speedometer2"),
    (NavLinkMatch.Prefix, "Terminal", "terminal", "bi-terminal")
  };

  protected override async Task OnAfterRenderAsync(bool firstRender)
  {
    if (firstRender)
    {
      await _js.InvokeVoidAsync("addTooltips");
    }
  }

}
